Subject: RE: [PATCH v5 2/9] t: import the clar unit testing framework

From: <[email-masked]>
Date: Mon, 19 Aug 2024 18:38:56 -0400

On Monday, August 19, 2024 6:14 PM, Junio C Hamano wrote:
><[email-masked]> writes:
>
>> On Monday, August 19, 2024 5:22 PM, Junio C Hamano wrote:
>>>Patrick Steinhardt <[email-masked]> writes:
>>>
>>>> diff --git a/t/unit-tests/clar/clar.c b/t/unit-tests/clar/clar.c new
>>>> file mode 100644 index 0000000000..3fc2c76815
>>>> --- /dev/null
>>>> +++ b/t/unit-tests/clar/clar.c
>>>> @@ -0,0 +1,842 @@
>>>> ...
>>>> +
>>>> +#ifdef _WIN32
>>>> +#	include <windows.h>
>>>> +#	include <io.h>
>>>> +#	include <shellapi.h>
>>>> +#	include <direct.h>
>>>
>>>This seems to break Windows build
>>>
>>>  In file included from t/unit-tests/clar/clar.c:22:
>>>  D:/git-sdk-64-minimal/mingw64/include/windows.h:89:10: fatal error:
>shellapi.h:
>>>No such file or directory
>>>     89 | #include <shellapi.h>
>>>        |          ^~~~~~~~~~~~
>>>  compilation terminated.
>>>
>>>https://github.com/git/git/actions/runs/10459342252/job/28963152995
>>>
>>>As we have other topics that I do want to do well in 'seen' before
>>>merging them to 'next', I'd temporarily drop this topic from 'seen'
>>>and push out the rest of the topics.
>>
>> shellapi.h is not portable. This breaks the NonStop build also.
>
>Even inside "#ifdef _WIN32"?

Good point, but I did not see that in the prior review. My apologies.